Bug 132750 - Mailman doesn't work with courier
Mailman doesn't work with courier
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 13:50 EDT by Pierre Ossman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 16:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2004-09-16 13:50:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
The popular mail server courier can not be used with the mailman
shipped in Fedora Core. The reason is that courier executes external
programs as the user 'daemon'. This user is not in mailman's approved
list.

The fix is simple. Just add 'daemon' to the approved list in mailman.spec.

Version-Release number of selected component (if applicable):
mailman-2.1.5-7

How reproducible:
Always

Steps to Reproduce:
1. Install courier
2. Install mailman
3. Send mail to mailman
    

Actual Results:  Mail stuck in queue because of error from mailman.

Expected Results:  Mail delivered to mailing list.

Additional info:
Comment 1 John Dennis 2005-02-14 16:18:17 EST
fixed in rawhide
Comment 2 Mark J. Cox (Product Security) 2005-03-21 13:31:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-235.html

Note You need to log in before you can comment on or make changes to this bug.